#ifndef SENSORCOMMUNICATION_H
#define SENSORCOMMUNICATION_H

#include "SensorConfiguration.h"
#include "Motion.h"
#include <unistd.h>
#include <stdint.h>
#include <cstring>

class SensorCommunication
{
    public:
        SensorCommunication();
        virtual ~SensorCommunication();
        Motion getMotion(SensorConfiguration conf);
    protected:
    private:
        virtual int readMotion(SensorConfiguration conf, uint8_t *buffer);
        virtual Motion convertMotion(uint8_t *rawData);

};

#endif // SENSORCOMMUNICATION_H
