#ifndef SENSORTAG_H
#define SENSORTAG_H

#include "SensorCommunication.h"
#include "SensorConfiguration.h"

class SensorTag: public SensorConfiguration, public SensorCommunication
{
    public:
        SensorTag();
        virtual ~SensorTag();
        Motion getMotion();
    protected:
    private:
        int readMotion(uint8_t * buffer);
        Motion convertMotion(uint8_t * rawData);
};

#endif // SENSORTAG_H
